Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055058 - journalctl reports FAT-fs not properly unmounted by caja
Summary: journalctl reports FAT-fs not properly unmounted by caja
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-file-manager
Version: 19
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-18 12:56 UTC by Don Swaner
Modified: 2015-02-17 19:54 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:54:21 UTC


Attachments (Terms of Use)

Description Don Swaner 2014-01-18 12:56:04 UTC
Description of problem:
journalctl error report:
FAT-fs (sdc1): Volume was not properly unmounted.
+Some data may be corrupt. Please run fsck.

Version-Release number of selected component (if applicable):
mate-file-manager-1.6.3-1.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. Plug kindle into usb slot
2. copy a file onto the kindle
3. unmount in caja (mate-file-manager)

Actual results:
All is well.  No data corruption.  However, journalctl reports error.

Expected results:
journalctl does not report error when no error exists.

Additional info:

Comment 1 Zbigniew Jędrzejewski-Szmek 2014-01-18 14:53:19 UTC
Journalctl "reports" the error, but the error comes straight from the kernel fat driver. From a brief look at the code in question, the superblock has a "dirty" flag, and the warning is issued when it is set. So it seems that the unmounting was not done correctly, and the warning is legitimate. Iiuc, in this case mate-file-manager drives the whole process, so that would mean that it didn't actually unmount the volume.

Alternatively, the kindle might be lying. If it doesn't happen with a normal USB stick, then I'd guess that this is the case. Does it happen with a different drive?

Comment 2 Don Swaner 2014-01-18 16:10:45 UTC
A normal USB stick does not cause this error message, only the kindle.  I plug in my kindle and a USB stick every morning.  I get the error message for the kindle every time, but never for the USB stick.

Comment 3 Wolfgang Ulbrich 2014-01-18 20:26:54 UTC
@ Zbigniew Jędrzejewski-Szmek
Thanks for your diagnosis.
Can you point me to the 'dirty flag' in backtrace?
Because i've also another report with kindle drives.

Comment 5 Don Swaner 2014-01-19 15:14:46 UTC
This morning the following update was applied on my machine:
hwdata-0.259-1.fc19.noarch 
and there was no error message for the kindle unmount. HOWEVER, I tried it again, plugged in the kindle, copied a file to it, and ejected it, and got the same error message again.  So it appears to be an intermittent problem.  Perhaps the hwdata update actually had no effect on this problem, but was only a coincidence.

Comment 6 Wolfgang Ulbrich 2014-01-19 19:55:20 UTC
Can you try it out with another file-manager, for example nemo from cinnamon?

Comment 7 Don Swaner 2014-01-19 21:58:51 UTC
Same error with nemo.  The error message occurs at the time the file is being mounted.  As before, the kindle is functioning normally with no apparent problems.

Comment 8 Wolfgang Ulbrich 2014-01-19 22:24:05 UTC
Ok, and what does happens if you unmount the kindle drive from  a terminal?
Use 'mount -a' for showing your mounts, than 'umount <mountpoint>'
Or better disable 'Caja Desktop' autostart in 'mate-session-properties', to be shure that caja isn't activ. Note, now desktop icons and right click context menu are gone.
Than mount and umount the drive from a terminal.
Maybe that issue has nothing to do with a file-manger.

Comment 9 Don Swaner 2014-01-20 00:58:56 UTC
I did a "cold boot" / reset on the kindle (hold down power switch for 20-sec),
and then plugged it in, and let caja handle the mounting.  Got the same error message.  I find it hard to believe that there is a real problem with the kindle file system after doing a reset.

I don't know how to mount it from a terminal.  "FAT-fs" isn't recognized as a valid type by mount.  The following did not work (it was not mounted):

~ $ sudo mount -t auto /dev/sdc TEMPDIR
mount: /dev/sdc is write-protected, mounting read-only
mount: wrong fs type, bad option, bad superblock on /dev/sdc,
       missing codepage or helper program, or other error

dmesg | tail:

[30804.805705] SELinux: initialized (dev fuse, type fuse), uses genfs_contexts
[30893.445240] usb 1-6: USB disconnect, device number 23
[30893.446447] sd 18:0:0:0: [sdc] Synchronizing SCSI cache
[30893.446541] sd 18:0:0:0: [sdc]  
[30893.446546] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK
[30901.949043] usb 1-6: new high-speed USB device number 24 using ehci-pci
[30902.077488] usb 1-6: New USB device found, idVendor=1949, idProduct=0004
[30902.077499] usb 1-6: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[30902.077505] usb 1-6: Product: Amazon Kindle
[30902.077510] usb 1-6: Manufacturer: Amazon
[30902.077514] usb 1-6: SerialNumber: B008A0A01095021L
[30902.083610] usb-storage 1-6:1.0: USB Mass Storage device detected
[30902.086346] scsi19 : usb-storage 1-6:1.0
[30903.090664] scsi 19:0:0:0: Direct-Access     Kindle   Internal Storage 0100 PQ: 0 ANSI: 2
[30903.091501] sd 19:0:0:0: Attached scsi generic sg3 type 0
[30903.096272] sd 19:0:0:0: [sdc] 6410688 512-byte logical blocks: (3.28 GB/3.05 GiB)
[30903.204532] sd 19:0:0:0: [sdc] Write Protect is off
[30903.204544] sd 19:0:0:0: [sdc] Mode Sense: 0f 00 00 00
[30903.314532] sd 19:0:0:0: [sdc] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[30903.536523]  sdc: sdc1
[30903.764515] sd 19:0:0:0: [sdc] Attached SCSI removable disk

Comment 10 Wolfgang Ulbrich 2014-01-20 15:47:26 UTC
I won't say that it has nothing to do with a file-manager, but i wanna get shure that it doesn't happend without a file-manager.
Caja, Nemo and Nautilus are very simular products and all use gvfs for file systems.
For finding out the right fs type execute 'mount' if the kindle is mounted, this will show you all the mounts, sorry i did say it wrong in further post.
Pls post this output. ie.

[root@mother rave]# mount
proc on /proc type proc (rw,nosuid,nodev,noexec,relatime)
sysfs on /sys type sysfs (rw,nosuid,nodev,noexec,relatime)
<snip>
/dev/sdd5 on /media/Video-Disk type ext3 (rw,noatime,nodiratime,data=ordered)
/dev/sdd2 on /media/Programme type ext3 (rw,noatime,nodiratime,data=ordered)
/dev/sda2 on /media/Win7 type fuseblk (rw,relatime,user_id=0,group_id=0,allow_other,blksize=4096)
/dev/sdb2 on /boot type ext4 (rw,noatime,nodiratime,discard,data=ordered)
<snip>

The right mount command is
sudo mount -t <fs type> /dev/sdc /mnt

For a test mount you can simply use /mnt as mount point.

Sorry, i don't have a kindle for more testing :/

Comment 11 Don Swaner 2014-01-20 18:05:19 UTC
mount output:
proc on /proc type proc (rw,nosuid,nodev,noexec,relatime)
sysfs on /sys type sysfs (rw,nosuid,nodev,noexec,relatime,seclabel)
<snip>
fusectl on /sys/fs/fuse/connections type fusectl (rw,relatime)
/dev/sdc1 on /mnt type vfat (rw,relatime,fmask=0027,dmask=0027,codepage=437,iocharset=ascii,shortname=mixed,errors=remount-ro)

journal entry:
Jan 20 11:39:57 fedoraa.dswaner.home kernel: SELinux: initialized (dev sdc1, type vfat), uses genfs_contexts
Jan 20 11:39:57 fedoraa.dswaner.home kernel: FAT-fs (sdc1): Volume was not properly unmounted. Some data may be corrupt. Please run fsck.
Jan 20 11:39:57 fedoraa.dswaner.home sudo[1908]: dswaner : TTY=tty2 ; PWD=/home/dswaner ; USER=root ; COMMAND=/bin/mount -t vfat /dev/sdc1 /mnt

Just before doing the above, the kindle was reset (again).

The mount command was done in a console, while logged out of the desktop.

Comment 12 Wolfgang Ulbrich 2014-01-20 18:19:31 UTC
Did you also unmount the drive from the console?
You should try disable selinux temporarily before mount/unmount, with
'setenforce 0'
Maybe you're also a victim of this horrible bug.
https://bugzilla.redhat.com/show_bug.cgi?id=1054350

Comment 13 Don Swaner 2014-01-20 23:11:30 UTC
kindle reset

"setenforce 0" done

RESULT FROM MOUNT AFTER MOUNTING (same):

/dev/sdc1 on /mnt type vfat (rw,relatime,fmask=0022,dmask=0022,codepage=437,iocharset=ascii,shortname=mixed,errors=remount-ro)

JOURNAL AFTER MOUNTING (same):

Jan 20 17:52:15 fedoraa.dswaner.home chronyd[328]: Selected source 198.60.22.240
Jan 20 17:50:00 fedoraa.dswaner.home kernel: SELinux: initialized (dev sdc1, type vfat), uses genfs_contexts
Jan 20 17:50:00 fedoraa.dswaner.home kernel: FAT-fs (sdc1): Volume was not properly unmounted. Some data may be corrupt. Please run fsck.
Jan 20 17:49:11 fedoraa.dswaner.home kernel: sd 6:0:0:0: [sdc] Attached SCSI removable disk
Jan 20 17:49:10 fedoraa.dswaner.home kernel:  sdc: sdc1
Jan 20 17:49:09 fedoraa.dswaner.home kernel: sd 6:0:0:0: [sdc] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
Jan 20 17:49:09 fedoraa.dswaner.home kernel: sd 6:0:0:0: [sdc] Mode Sense: 0f 00 00 00
Jan 20 17:49:09 fedoraa.dswaner.home kernel: sd 6:0:0:0: [sdc] Write Protect is off
Jan 20 17:49:09 fedoraa.dswaner.home kernel: sd 6:0:0:0: [sdc] 6410688 512-byte logical blocks: (3.28 GB/3.05 GiB)
Jan 20 17:49:09 fedoraa.dswaner.home kernel: sd 6:0:0:0: Attached scsi generic sg3 type 0
Jan 20 17:49:09 fedoraa.dswaner.home kernel: scsi 6:0:0:0: Direct-Access     Kindle   Internal Storage 0100 PQ: 0 ANSI: 2
Jan 20 17:49:08 fedoraa.dswaner.home kernel: usbcore: registered new interface driver usb-storage
Jan 20 17:49:08 fedoraa.dswaner.home kernel: scsi6 : usb-storage 1-6:1.0
Jan 20 17:49:08 fedoraa.dswaner.home kernel: usb-storage 1-6:1.0: USB Mass Storage device detected

AFTER UNMOUNT:

no entry in "mount" for /dev/sdc1
no entry in journal

MOUNTING & UNMOUNTING AGAIN GAVE SAME RESULTS

(This was done in a terminal, as root, with the caja desktop turned off.  Unable to redirect output or get gpm to work from console.)

Comment 14 Don Swaner 2014-01-21 21:49:01 UTC
The same error message occurs in Fedora 20 (kernel 3.12.8-300.fc20.x86_64).

Comment 15 Wolfgang Ulbrich 2014-02-23 22:00:19 UTC
forward the issue for yourself to upstream.
https://github.com/mate-desktop/caja/issues?page=1&state=open
I've decided to be not the bad guy on tons of issues ;)

Comment 16 Fedora End Of Life 2015-01-09 21:07:11 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2015-02-17 19:54:21 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.